FDOPEN64(3)

NAME
fdopen64, _fdopen64_r - turn open large file into a stream

SYNOPSIS

#include <stdio.h>

FILE *fdopen64(int fd, const char *mode);

FILE *_fdopen64_r(void *reent, int fd, const char *mode);

DESCRIPTION

fdopen64 produces a file descriptor of type FILE *, from a descriptor for an already-open file (returned, for example, by the system subroutine open rather than by fopen). The mode argument has the same meanings as in fopen.

RETURNS

File pointer or NULL, as for fopen.